Skip to main content
POST
/
material-library
/
facility-list
Get Facility List
curl --request POST \
  --url https://api-v2.production.higg.org/pic-api/v1/material-library/facility-list \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --header 'x-developer-request-token: <api-key>' \
  --data '
{
  "size": 123,
  "textSearch": "<string>"
}
'
import requests

url = "https://api-v2.production.higg.org/pic-api/v1/material-library/facility-list"

payload = {
"size": 123,
"textSearch": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"x-developer-request-token": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'x-api-key': '<api-key>',
'x-developer-request-token': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({size: 123, textSearch: '<string>'})
};

fetch('https://api-v2.production.higg.org/pic-api/v1/material-library/facility-list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "sacId": 123,
    "accountName": "<string>"
  }
]
Use this endpoint to search for facilities that can be linked to life cycle processes in your custom materials. These are facilities with shared FEM data that can provide facility-specific environmental impact data for Tier 2/3 material modeling.

Request body params

NameTypeDescription
textSearchstringSearch facilities by name.
sizenumber[DEFAULT: 900] Number of results to return (max 900).
sortobjectSorting configuration { field: string, order: "asc" | "desc" }.

Implementation Details

  • Large page size: Unlike most PIC endpoints, this endpoint supports up to 900 results per page.
  • Response fields: Each facility includes a sacId (numeric Worldly ID) and accountName.
  • Usage: Use the sacId value (converted to a string) as the facilityWorldlyId in life cycle processes when creating or updating custom materials.

Authorizations

x-api-key
string
header
required
x-developer-request-token
string
header
required

Body

application/json
size
number<double> | null
sort
object

API Search requests

textSearch
string | null

Response

200 - application/json

Ok

sacId
number<double>
required
accountName
string
required